
QGIS Application - Bug report #6785

Error while trying to edit a parameter in a model

2012-11-29 08:00 AM - Filipe Dias

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15934

Description

Steps to reproduce:

Open the attached model -> navigate to the last field calculator (the one on the right) -> open its window -> try to replace Qsub_carb with

Qsub_Carb -> save

The error message below (from the terminal) doesnt always show up.

Im on Linux Ubuntu 12.04 64bits and Im using QGIS Master

/lib/x86_64-linux-gnu/libc.so.6(+0x7eb96)[0x7f5659108b96]

/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0xf0a18)[0x7f56486c5a18]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_object_unref+0x1b3)[0x7f5657eaee93]

/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0xe0039)[0x7f56486b5039]

/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0xe0925)[0x7f56486b5925]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_object_unref+0x1b3)[0x7f5657eaee93]

/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0x8489b)[0x7f564865989b]

/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0xb9dcf)[0x7f564868edcf]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_closure_invoke+0xab)[0x7f5657ea9c1b]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x20c31)[0x7f5657ebac31]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0xd79)[0x7f5657ec3099]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x82)[0x7f5657ec3242]

/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0x15f2c0)[0x7f56487342c0]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_object_run_dispose+0x60)[0x7f5657eb0000]

/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0x8489b)[0x7f564865989b]

/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0xb9dcf)[0x7f564868edcf]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_closure_invoke+0xab)[0x7f5657ea9c1b]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x20c31)[0x7f5657ebac31]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0xd79)[0x7f5657ec3099]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x82)[0x7f5657ec3242]

/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0x15f2c0)[0x7f56487342c0]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_object_run_dispose+0x60)[0x7f5657eb0000]

/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0xb9dcf)[0x7f564868edcf]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_closure_invoke+0x132)[0x7f5657ea9ca2]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(+0x20c31)[0x7f5657ebac31]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit_valist+0xd79)[0x7f5657ec3099]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_signal_emit+0x82)[0x7f5657ec3242]

/usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0(+0x15f2c0)[0x7f56487342c0]

/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0(g_object_run_dispose+0x60)[0x7f5657eb0000]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x568697)[0x7f565ac5b697]

2024-03-20 1/12



/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN11QFileDialog15getOpenFileNameEP7QWidgetRK7QStringS4_S4_PS2_6QFlagsINS_6O

tionEE+0x228)[0x7f565ada1858]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x41908b)[0x7f562512d08b]

/usr/lib/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x53a5)[0x7f5625cf2845]

/usr/lib/libpython2.7.so.1.0(PyEval_EvalCodeEx+0x855)[0x7f5625cbd605]

/usr/lib/libpython2.7.so.1.0(+0x5c7bd)[0x7f5625cbd7bd]

/usr/lib/libpython2.7.so.1.0(PyObject_Call+0x53)[0x7f5625da1e83]

/usr/lib/libpython2.7.so.1.0(+0x1251cf)[0x7f5625d861cf]

/usr/lib/libpython2.7.so.1.0(PyObject_Call+0x53)[0x7f5625da1e83]

/usr/lib/libpython2.7.so.1.0(PyEval_CallObjectWithKeywords+0x47)[0x7f5625da27d7]

/usr/lib/python2.7/dist-packages/sip.so(sip_api_invoke_slot+0x1a0)[0x7f5625a56f80]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x17d396)[0x7f562577c396]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x17d690)[0x7f562577c690]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x17d772)[0x7f562577c772]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x4b9)[0x7f565b550489]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN15QAbstractButton7clickedEb+0x32)[0x7f565af4ec72]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x599a4e)[0x7f565ac8ca4e]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x59ad8b)[0x7f565ac8dd8b]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN15QAbstractButton17mouseReleaseEventEP11QMouseEvent+0x8c)[0x7f565ac8dffc]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x4ac96f)[0x7f56251c096f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x684)[0x7f565a90f144]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x4b403f)[0x7f56251c803f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xb4)[0x7f565a8be894]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xabf)[0x7f565a8c40bf]

/usr/lib/libqgis_core.so.1.9.0(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0x96)[0x7f565c93bc06]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c)[0x7f565b53be9c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8

PointerIS0_Eb+0x172)[0x7f565a8bf862]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x24bbf5)[0x7f565a93ebf5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xdce)[0x7f565a93dbae]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2740d2)[0x7f565a9670d2]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x133)[0x7f5657becd53]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x480a0)[0x7f5657bed0a0]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7f5657bed164]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFla

EE+0x6f)[0x7f565b56b3bf]======= Memory map: ========

00400000-00a0f000 r-xp 00000000 08:05 4469929                            /usr/bin/qgis

00c0e000-00c10000 r--p 0060e000 08:05 4469929                            /usr/bin/qgis

00c10000-00c18000 rw-p 00610000 08:05 4469929                            /usr/bin/qgis

00c18000-00c1d000 rw-p 00000000 00:00 0 

016f3000-05a86000 rw-p 00000000 00:00 0                                  [heap]

7f55f4000000-7f55f4022000 rw-p 00000000 00:00 0 

7f55f4022000-7f55f8000000 ---p 00000000 00:00 0 

7f55f8000000-7f55f8022000 rw-p 00000000 00:00 0 

7f55f8022000-7f55fc000000 ---p 00000000 00:00 0 

7f55fc000000-7f55fc022000 rw-p 00000000 00:00 0 

7f55fc022000-7f5600000000 ---p 00000000 00:00 0 

7f5600000000-7f5600022000 rw-p 00000000 00:00 0 

7f5600022000-7f5604000000 ---p 00000000 00:00 0 

7f5604000000-7f5604022000 rw-p 00000000 00:00 0 

7f5604022000-7f5608000000 ---p 00000000 00:00 0 

7f56097fb000-7f56097fc000 ---p 00000000 00:00 0 

7f56097fc000-7f5609ffc000 rw-p 00000000 00:00 0 
7f560affe000-7f560afff000 ---p 00000000 00:00 0 

7f560afff000-7f560b7ff000 rw-p 00000000 00:00 0 

7f560b7ff000-7f560b800000 ---p 00000000 00:00 0 

7f560b800000-7f560c000000 rw-p 00000000 00:00 0 

7f560c000000-7f560c022000 rw-p 00000000 00:00 0 

7f560c022000-7f5610000000 ---p 00000000 00:00 0 

7f5610000000-7f5610022000 rw-p 00000000 00:00 0 

7f5610022000-7f5614000000 ---p 00000000 00:00 0 

7f5614000000-7f5614022000 rw-p 00000000 00:00 0 

7f5614022000-7f5618000000 ---p 00000000 00:00 0 

7f56191cd000-7f56191ce000 ---p 00000000 00:00 0 

7f56191ce000-7f56199ce000 rw-p 00000000 00:00 0 

7f56199ce000-7f5619a05000 r-xp 00000000 08:05 4464010                    /usr/lib/x86_64-linux-gnu/libcroco-0.6.so.3.0.1

7f5619a05000-7f5619c04000 ---p 00037000 08:05 4464010                    /usr/lib/x86_64-linux-gnu/libcroco-0.6.so.3.0.1

7f5619c04000-7f5619c07000 r--p 00036000 08:05 4464010                    /usr/lib/x86_64-linux-gnu/libcroco-0.6.so.3.0.1

7f5619c07000-7f5619c08000 rw-p 00039000 08:05 4464010                    /usr/lib/x86_64-linux-gnu/libcroco-0.6.so.3.0.1

7f5619c08000-7f5619c3c000 r-xp 00000000 08:05 4464380                    /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.36.1

7f5619c3c000-7f5619e3b000 ---p 00034000 08:05 4464380                    /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.36.1

7f5619e3b000-7f5619e3c000 r--p 00033000 08:05 4464380                    /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.36.1

7f5619e3c000-7f5619e3d000 rw-p 00034000 08:05 4464380                    /usr/lib/x86_64-linux-gnu/librsvg-2.so.2.36.1

7f5619e3d000-7f5619e3f000 r-xp 00000000 08:05 4719878                   

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so

7f5619e3f000-7f561a03e000 ---p 00002000 08:05 4719878                   

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so

7f561a03e000-7f561a03f000 r--p 00001000 08:05 4719878                   

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so

7f561a03f000-7f561a040000 rw-p 00002000 08:05 4719878                   

/usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so

7f561a040000-7f561b312000 r--p 00000000 08:05 5772904                    /usr/share/icons/hicolor/icon-theme.cache

7f561b312000-7f561bbfd000 r--p 00000000 08:05 5785665                    /usr/share/icons/gnome/icon-theme.cache

7f561bbfd000-7f561bc0d000 r-xp 00000000 08:05 4718897                   

/usr/lib/x86_64-linux-gnu/gio/modules/libgioremote-volume-monitor.so

7f561bc0d000-7f561be0c000 ---p 00010000 08:05 4718897                   

/usr/lib/x86_64-linux-gnu/gio/modules/libgioremote-volume-monitor.so

7f561be0c000-7f561be0d000 r--p 0000f000 08:05 4718897                   

/usr/lib/x86_64-linux-gnu/gio/modules/libgioremote-volume-monitor.so

7f561be0d000-7f561be0e000 rw-p 00010000 08:05 4718897                   

/usr/lib/x86_64-linux-gnu/gio/modules/libgioremote-volume-monitor.so

7f561be0e000-7f561c058000 rw-s 00000000 00:04 11108353                   /SYSV00000000 (deleted)

7f561c058000-7f561c229000 rw-p 00000000 00:00 0 

7f561c311000-7f561c3fa000 r--p 00000000 08:05 5773323                    /usr/share/icons/Humanity/icon-theme.cache

7f561c3fa000-7f561c7b7000 rw-s 00000000 00:04 11075587                   /SYSV00000000 (deleted)

7f561c7b7000-7f561c7c5000 r-xp 00000000 08:05 4591833                    /usr/lib/python2.7/lib-dynload/pyexpat.so

7f561c7c5000-7f561c9c4000 ---p 0000e000 08:05 4591833                    /usr/lib/python2.7/lib-dynload/pyexpat.so

7f561c9c4000-7f561c9c5000 r--p 0000d000 08:05 4591833                    /usr/lib/python2.7/lib-dynload/pyexpat.so

7f561c9c5000-7f561c9c7000 rw-p 0000e000 08:05 4591833                    /usr/lib/python2.7/lib-dynload/pyexpat.so

7f561c9c7000-7f561c9e6000 r-xp 00000000 08:05 4591813                    /usr/lib/python2.7/lib-dynload/_io.so

7f561c9e6000-7f561cbe5000 ---p 0001f000 08:05 4591813                    /usr/lib/python2.7/lib-dynload/_io.so

7f561cbe5000-7f561cbe6000 r--p 0001e000 08:05 4591813                    /usr/lib/python2.7/lib-dynload/_io.so

7f561cbe6000-7f561cbef000 rw-p 0001f000 08:05 4591813                    /usr/lib/python2.7/lib-dynload/_io.so

7f561cbef000-7f561cc46000 r-xp 00000000 08:05 658422                     /usr/lib/python2.7/dist-packages/PyQt4/QtWebKit.so

7f561cc46000-7f561ce45000 ---p 00057000 08:05 658422                     /usr/lib/python2.7/dist-packages/PyQt4/QtWebKit.so

7f561ce45000-7f561ce47000 r--p 00056000 08:05 658422                     /usr/lib/python2.7/dist-packages/PyQt4/QtWebKit.so
7f561ce47000-7f561ce56000 rw-p 00058000 08:05 658422                     /usr/lib/python2.7/dist-packages/PyQt4/QtWebKit.so

7f561ce56000-7f561ce87000 r-xp 00000000 08:05 658528                     /usr/lib/python2.7/dist-packages/osgeo/_osr.so

7f561ce87000-7f561d086000 ---p 00031000 08:05 658528                     /usr/lib/python2.7/dist-packages/osgeo/_osr.so

7f561d086000-7f561d087000 r--p 00030000 08:05 658528                     /usr/lib/python2.7/dist-packages/osgeo/_osr.so

7f561d087000-7f561d089000 rw-p 00031000 08:05 658528                     /usr/lib/python2.7/dist-packages/osgeo/_osr.so

7f561d089000-7f561d08a000 rw-p 00000000 00:00 0 

7f561d08a000-7f561d0d8000 r-xp 00000000 08:05 658526                     /usr/lib/python2.7/dist-packages/osgeo/_ogr.so

7f561d0d8000-7f561d2d7000 ---p 0004e000 08:05 658526                     /usr/lib/python2.7/dist-packages/osgeo/_ogr.so

7f561d2d7000-7f561d2d8000 r--p 0004d000 08:05 658526                     /usr/lib/python2.7/dist-packages/osgeo/_ogr.so

7f561d2d8000-7f561d2dc000 rw-p 0004e000 08:05 658526                     /usr/lib/python2.7/dist-packages/osgeo/_ogr.so

7f561d2dc000-7f561d2ed000 r-xp 00000000 08:05 4591818                    /usr/lib/python2.7/lib-dynload/_sqlite3.so

7f561d2ed000-7f561d4ed000 ---p 00011000 08:05 4591818                    /usr/lib/python2.7/lib-dynload/_sqlite3.so

7f561d4ed000-7f561d4ee000 r--p 00011000 08:05 4591818                    /usr/lib/python2.7/lib-dynload/_sqlite3.so

7f561d4ee000-7f561d4f0000 rw-p 00012000 08:05 4591818                    /usr/lib/python2.7/lib-dynload/_sqlite3.so

7f561d4f0000-7f561d555000 r-xp 00000000 08:05 5511172                   

/usr/lib/pyshared/python2.7/matplotlib/backends/_backend_agg.so

7f561d555000-7f561d754000 ---p 00065000 08:05 5511172                   

/usr/lib/pyshared/python2.7/matplotlib/backends/_backend_agg.so

7f561d754000-7f561d757000 r--p 00064000 08:05 5511172                   

/usr/lib/pyshared/python2.7/matplotlib/backends/_backend_agg.so

7f561d757000-7f561d758000 rw-p 00067000 08:05 5511172                   

/usr/lib/pyshared/python2.7/matplotlib/backends/_backend_agg.so

7f561d758000-7f561d78f000 r-xp 00000000 08:05 5511176                    /usr/lib/pyshared/python2.7/matplotlib/_tri.so

7f561d78f000-7f561d98f000 ---p 00037000 08:05 5511176                    /usr/lib/pyshared/python2.7/matplotlib/_tri.so

7f561d98f000-7f561d991000 r--p 00037000 08:05 5511176                    /usr/lib/pyshared/python2.7/matplotlib/_tri.so

7f561d991000-7f561d992000 rw-p 00039000 08:05 5511176                    /usr/lib/pyshared/python2.7/matplotlib/_tri.so

7f561d992000-7f561d9a0000 r-xp 00000000 08:05 5511178                    /usr/lib/pyshared/python2.7/matplotlib/_delaunay.so

7f561d9a0000-7f561db9f000 ---p 0000e000 08:05 5511178                    /usr/lib/pyshared/python2.7/matplotlib/_delaunay.so

7f561db9f000-7f561dba0000 r--p 0000d000 08:05 5511178                    /usr/lib/pyshared/python2.7/matplotlib/_delaunay.so

7f561dba0000-7f561dba1000 rw-p 0000e000 08:05 5511178                    /usr/lib/pyshared/python2.7/matplotlib/_delaunay.so

7f561dba1000-7f561dbe3000 r-xp 00000000 08:05 5511177                    /usr/lib/pyshared/python2.7/matplotlib/_image.so

7f561dbe3000-7f561dde3000 ---p 00042000 08:05 5511177                    /usr/lib/pyshared/python2.7/matplotlib/_image.so

7f561dde3000-7f561dde5000 r--p 00042000 08:05 5511177                    /usr/lib/pyshared/python2.7/matplotlib/_image.so

7f561dde5000-7f561dde7000 rw-p 00044000 08:05 5511177                    /usr/lib/pyshared/python2.7/matplotlib/_image.so

7f561dde7000-7f561ddec000 r-xp 00000000 08:05 Aborted (core dumped)

History

#1 - 2012-11-29 08:02 AM - Filipe Dias

- Category set to 64

- Priority changed from Normal to High

#2 - 2012-11-30 03:44 PM - Victor Olaya

- Status changed from Open to Feedback

Just tried and could save wthout problems. Then I open the saved model and contains the change.

Maybe you are doing something else other than what you described above?

Thanks!
#3 - 2012-12-01 09:52 AM - Filipe Dias

No, that's just it. This time qgis froze and in the terminal this showed up:

    -  glibc detected ** qgis: corrupted double-linked list: 0x00000000066e99e0 *

Can anyon else on Linux test it so we can rule out a local problem? Tks

#4 - 2012-12-01 03:48 PM - Giovanni Manghi

- Priority changed from High to Normal

cannot confirm here on ubuntu 12.04

Filipe Dias wrote:

No, that's just it. This time qgis froze and in the terminal this showed up:

    -  glibc detected ** qgis: corrupted double-linked list: 0x00000000066e99e0 *

Can anyon else on Linux test it so we can rule out a local problem? Tks

#5 - 2012-12-02 02:38 AM - Filipe Dias

I just found out why I'm having this error and you don't_

If I right click on the box, press "Edit" and do the change, its works. However if I double click on the box and do the change, the above error message

shows up.

#6 - 2012-12-31 01:15 AM - Filipe Dias

This is still happening. It crashes if I try to edit the input/paramter by double-clicking it, but it works if I right-click->Edit.

#7 - 2013-04-30 02:51 AM - Filipe Dias

This still happens with the recent model changes. I can't change the status of this ticket to Blocker but it should. Double clicking on action/parameter is the

most "natural way" of editing so users are bound to be confronted with this bug.

#8 - 2013-04-30 04:24 AM - Giovanni Manghi

Filipe Dias wrote:

This still happens with the recent model changes. I can't change the status of this ticket to Blocker but it should. Double clicking on action/parameter

is the most "natural way" of editing so users are bound to be confronted with this bug.

cannot replicate here now.
#9 - 2013-04-30 05:46 AM - Filipe Dias

- File teste.model added

Open the attached model, double click on the first Intersection, change Out1 to Out2, save and close. It will crash somewhere during this process.

#10 - 2013-04-30 05:52 AM - Giovanni Manghi

- Status changed from Feedback to Open

Filipe Dias wrote:

Open the attached model, double click on the first Intersection, change Out1 to Out2, save and close. It will crash somewhere during this process.

ok now I see.

I get two different kind of errors, one causes freeze

    -  glibc detected * /usr/bin/qgis.bin: malloc(): smallbin double linked list corrupted: 0x0000000005a4f360 *

Killed

the other causes crash

    -  glibc detected * /usr/bin/qgis.bin: invalid fastbin entry (free): 0x0000000001f18cb0 *======= Backtrace: =========

/lib/x86_64-linux-gnu/libc.so.6(+0x7eb96)[0x7f9f88b57b96]

/usr/lib/libpython2.7.so.1.0(+0x18019f)[0x7f9f634fd19f]

/usr/lib/libpython2.7.so.1.0(+0x1526fa)[0x7f9f634cf6fa]

/usr/lib/python2.7/dist-packages/sip.so(+0xf42b)[0x7f9f6316f42b]

/usr/lib/python2.7/dist-packages/sip.so(+0xf57d)[0x7f9f6316f57d]

/usr/lib/python2.7/dist-packages/PyQt4/QtCore.so(+0x100c92)[0x7f9f62e1bc92]

/usr/lib/python2.7/dist-packages/sip.so(+0x8c8f)[0x7f9f63168c8f]

/usr/lib/libpython2.7.so.1.0(+0x141f08)[0x7f9f634bef08]

/usr/lib/libpython2.7.so.1.0(PyObject_Call+0x53)[0x7f9f634bde83]

/usr/lib/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x3fcd)[0x7f9f6340d46d]

/usr/lib/libpython2.7.so.1.0(PyEval_EvalCodeEx+0x855)[0x7f9f633d9605]

/usr/lib/libpython2.7.so.1.0(+0x5c7bd)[0x7f9f633d97bd]

/usr/lib/libpython2.7.so.1.0(PyObject_Call+0x53)[0x7f9f634bde83]

/usr/lib/libpython2.7.so.1.0(+0x1251cf)[0x7f9f634a21cf]

/usr/lib/libpython2.7.so.1.0(PyObject_Call+0x53)[0x7f9f634bde83]

/usr/lib/libpython2.7.so.1.0(PyEval_CallObjectWithKeywords+0x47)[0x7f9f634be7d7]

/usr/lib/python2.7/dist-packages/sip.so(+0xa972)[0x7f9f6316a972]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x1d2458)[0x7f9f62602458]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x3da5fc)[0x7f9f6280a5fc]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x7f8e69)[0x7f9f8b0d7e69]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x7f76ce)[0x7f9f8b0d66ce]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x7f7681)[0x7f9f8b0d6681]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x7f7ee8)[0x7f9f8b0d6ee8]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZNK14QGraphicsScene5itemsERK6QRectFN2Qt17ItemSelectionModeENS3_9SortOrderERK10QTransform+

x15)[0x7f9f8b0b2005]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x7d32a5)[0x7f9f8b0b22a5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x7da4f1)[0x7f9f8b0b94f1]
/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN14QGraphicsScene14mouseMoveEventEP24QGraphicsSceneMouseEvent+0x72)[0x7f9f8b0b97c2]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x3cd12f)[0x7f9f627fd12f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN14QGraphicsScene5eventEP6QEvent+0x27b)[0x7f9f8b0c77fb]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x3d3669)[0x7f9f62803669]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0xb4)[0x7f9f8aaaa894]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0x113)[0x7f9f8aaaf713]

/usr/lib/libqgis_core.so.1.9.0(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0x96)[0x7f9f8c61cb06]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c)[0x7f9f8b727e9c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN20QGraphicsViewPrivate21mouseMoveEventHandlerEP11QMouseEvent+0x2e9)[0x7f9f8b0e1729]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN13QGraphicsView14mouseMoveEventEP11QMouseEvent+0x4e)[0x7f9f8b0e195e]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x3ce763)[0x7f9f627fe763]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QWidget5eventEP6QEvent+0x6b8)[0x7f9f8aafb178]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN6QFrame5eventEP6QEvent+0x26)[0x7f9f8aebb3b6]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN13QGraphicsView13viewportEventEP6QEvent+0x7b)[0x7f9f8b0e5b2b]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x3d36d7)[0x7f9f628036d7]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN23QCoreApplicationPrivate29sendThroughObjectEventFiltersEP7QObjectP6QEvent+0x88)[0x7f9f8b7280

8]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate13notify_helperEP7QObjectP6QEvent+0x7f)[0x7f9f8aaaa85f]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication6notifyEP7QObjectP6QEvent+0xabf)[0x7f9f8aab00bf]

/usr/lib/libqgis_core.so.1.9.0(_ZN14QgsApplication6notifyEP7QObjectP6QEvent+0x96)[0x7f9f8c61cb06]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN16QCoreApplication14notifyInternalEP7QObjectP6QEvent+0x8c)[0x7f9f8b727e9c]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN19QApplicationPrivate14sendMouseEventEP7QWidgetP11QMouseEventS1_S1_PS1_R8QPointerIS0_Eb+

x172)[0x7f9f8aaab862]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x24bbf5)[0x7f9f8ab2abf5]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0xdce)[0x7f9f8ab29bae]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x2740d2)[0x7f9f8ab530d2]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x133)[0x7f9f8763bd53]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x480a0)[0x7f9f8763c0a0]

/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x34)[0x7f9f8763c164]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN20QEventDispatcherGlib13processEventsE6QFlagsIN10QEventLoop17ProcessEventsFlagEE+0x6f)[0x7f9

8b7573bf]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(+0x273d5e)[0x7f9f8ab52d5e]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop13processEventsE6QFlagsINS_17ProcessEventsFlagEE+0x32)[0x7f9f8b726c82]

/usr/lib/x86_64-linux-gnu/libQtCore.so.4(_ZN10QEventLoop4execE6QFlagsINS_17ProcessEventsFlagEE+0xf7)[0x7f9f8b726ed7]

/usr/lib/x86_64-linux-gnu/libQtGui.so.4(_ZN7QDialog4execEv+0xd6)[0x7f9f8af7a936]

/usr/lib/python2.7/dist-packages/PyQt4/QtGui.so(+0x47032c)[0x7f9f628a032c]

/usr/lib/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x53a5)[0x7f9f6340e845]

/usr/lib/libpython2.7.so.1.0(PyEval_EvalCodeEx+0x855)[0x7f9f633d9605]

/usr/lib/libpython2.7.so.1.0(+0x5c7bd)[0x7f9f633d97bd]

/usr/lib/libpython2.7.so.1.0(PyObject_Call+0x53)[0x7f9f634bde83]======= Memory map: ========

00400000-00a26000 r-xp 00000000 08:03 1075041                            /usr/bin/qgis.bin

00c25000-00c27000 r--p 00625000 08:03 1075041                            /usr/bin/qgis.bin

00c27000-00c2f000 rw-p 00627000 08:03 1075041                            /usr/bin/qgis.bin

00c2f000-00c32000 rw-p 00000000 00:00 0 

01ea5000-057c7000 rw-p 00000000 00:00 0                                  [heap]

7f9f04a9f000-7f9f04ac7000 r-xp 00000000 08:03 1442265                    /usr/lib/x86_64-linux-gnu/gio/modules/libgvfsdbus.so

7f9f04ac7000-7f9f04cc6000 ---p 00028000 08:03 1442265                    /usr/lib/x86_64-linux-gnu/gio/modules/libgvfsdbus.so

7f9f04cc6000-7f9f04cc7000 r--p 00027000 08:03 1442265                    /usr/lib/x86_64-linux-gnu/gio/modules/libgvfsdbus.so

7f9f04cc7000-7f9f04cc8000 rw-p 00028000 08:03 1442265                    /usr/lib/x86_64-linux-gnu/gio/modules/libgvfsdbus.so

7f9f04cc8000-7f9f0709b000 r--p 00000000 08:03 2259376                    /usr/share/icons/hicolor/icon-theme.cache
7f9f0709b000-7f9f0c000000 r--p 00000000 08:03 2230923                    /usr/share/icons/gnome/icon-theme.cache

7f9f0c000000-7f9f4c000000 rwxp 00000000 00:00 0 

7f9f4c000000-7f9f4c026000 rw-p 00000000 00:00 0 

7f9f4c026000-7f9f50000000 ---p 00000000 00:00 0 

7f9f51752000-7f9f5175e000 r-xp 00000000 08:03 5121555                    /lib/x86_64-linux-gnu/libudev.so.0.13.0

7f9f5175e000-7f9f5195d000 ---p 0000c000 08:03 5121555                    /lib/x86_64-linux-gnu/libudev.so.0.13.0

7f9f5195d000-7f9f5195e000 r--p 0000b000 08:03 5121555                    /lib/x86_64-linux-gnu/libudev.so.0.13.0

7f9f5195e000-7f9f5195f000 rw-p 0000c000 08:03 5121555                    /lib/x86_64-linux-gnu/libudev.so.0.13.0

7f9f5195f000-7f9f51975000 r-xp 00000000 08:03 1442267                    /usr/lib/x86_64-linux-gnu/gvfs/libgvfscommon.so

7f9f51975000-7f9f51b74000 ---p 00016000 08:03 1442267                    /usr/lib/x86_64-linux-gnu/gvfs/libgvfscommon.so

7f9f51b74000-7f9f51b75000 r--p 00015000 08:03 1442267                    /usr/lib/x86_64-linux-gnu/gvfs/libgvfscommon.so

7f9f51b75000-7f9f51b76000 rw-p 00016000 08:03 1442267                    /usr/lib/x86_64-linux-gnu/gvfs/libgvfscommon.so

7f9f51b76000-7f9f51dc0000 rw-s 00000000 00:04 1933326                    /SYSV00000000 (deleted)

7f9f51dc0000-7f9f51ede000 rw-s 00000000 00:04 1835021                    /SYSV00000000 (deleted)

7f9f51ede000-7f9f522ee000 rw-p 00000000 00:00 0 

7f9f522ee000-7f9f52318000 r-xp 00000000 08:03 1444878                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqnmbearer.so

7f9f52318000-7f9f52518000 ---p 0002a000 08:03 1444878                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqnmbearer.so

7f9f52518000-7f9f5251a000 r--p 0002a000 08:03 1444878                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqnmbearer.so

7f9f5251a000-7f9f5251b000 rw-p 0002c000 08:03 1444878                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqnmbearer.so

7f9f5251b000-7f9f52596000 r-xp 00000000 08:03 1056009                    /usr/lib/x86_64-linux-gnu/libQtDBus.so.4.8.1

7f9f52596000-7f9f52796000 ---p 0007b000 08:03 1056009                    /usr/lib/x86_64-linux-gnu/libQtDBus.so.4.8.1

7f9f52796000-7f9f52797000 r--p 0007b000 08:03 1056009                    /usr/lib/x86_64-linux-gnu/libQtDBus.so.4.8.1

7f9f52797000-7f9f52798000 rw-p 0007c000 08:03 1056009                    /usr/lib/x86_64-linux-gnu/libQtDBus.so.4.8.1

7f9f52798000-7f9f527d5000 r-xp 00000000 08:03 1450589                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqconnmanbearer.so

7f9f527d5000-7f9f529d5000 ---p 0003d000 08:03 1450589                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqconnmanbearer.so

7f9f529d5000-7f9f529d7000 r--p 0003d000 08:03 1450589                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqconnmanbearer.so

7f9f529d7000-7f9f529d8000 rw-p 0003f000 08:03 1450589                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqconnmanbearer.so

7f9f529d8000-7f9f529d9000 ---p 00000000 00:00 0 

7f9f529d9000-7f9f531d9000 rw-p 00000000 00:00 0 

7f9f531d9000-7f9f531da000 ---p 00000000 00:00 0 

7f9f531da000-7f9f53bea000 rw-p 00000000 00:00 0 

7f9f53bec000-7f9f53bf8000 r-xp 00000000 08:03 1442854                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqgenericbearer.so

7f9f53bf8000-7f9f53df8000 ---p 0000c000 08:03 1442854                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqgenericbearer.so

7f9f53df8000-7f9f53df9000 r--p 0000c000 08:03 1442854                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqgenericbearer.so

7f9f53df9000-7f9f53dfa000 rw-p 0000d000 08:03 1442854                    /usr/lib/x86_64-linux-gnu/qt4/plugins/bearer/libqgenericbearer.so

7f9f53dfa000-7f9f53dfe000 r-xp 00000000 08:03 1442328                    /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so

7f9f53dfe000-7f9f53ffe000 ---p 00004000 08:03 1442328                    /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so

7f9f53ffe000-7f9f53fff000 r--p 00004000 08:03 1442328                    /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so

7f9f53fff000-7f9f54000000 rw-p 00005000 08:03 1442328                    /usr/lib/x86_64-linux-gnu/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so

7f9f54000000-7f9f54021000 rw-p 00000000 00:00 0 

7f9f54021000-7f9f58000000 ---p 00000000 00:00 0 

7f9f580a9000-7f9f581b9000 rw-p 00000000 00:00 0 

7f9f581b9000-7f9f586ea000 rw-s 00000000 00:04 1605643                    /SYSV00000000 (deleted)

7f9f586ea000-7f9f586f1000 r-xp 00000000 08:03 5123791                    /lib/x86_64-linux-gnu/libnss_dns-2.15.so

7f9f586f1000-7f9f588f0000 ---p 00007000 08:03 5123791                    /lib/x86_64-linux-gnu/libnss_dns-2.15.so

7f9f588f0000-7f9f588f1000 r--p 00006000 08:03 5123791                    /lib/x86_64-linux-gnu/libnss_dns-2.15.so

7f9f588f1000-7f9f588f2000 rw-p 00007000 08:03 5123791                    /lib/x86_64-linux-gnu/libnss_dns-2.15.so

7f9f588f2000-7f9f588f4000 r-xp 00000000 08:03 5111861                    /lib/libnss_mdns4_minimal.so.2

7f9f588f4000-7f9f58af3000 ---p 00002000 08:03 5111861                    /lib/libnss_mdns4_minimal.so.2

7f9f58af3000-7f9f58af4000 r--p 00001000 08:03 5111861                    /lib/libnss_mdns4_minimal.so.2

7f9f58af4000-7f9f58af5000 rw-p 00002000 08:03 5111861                    /lib/libnss_mdns4_minimal.so.2

7f9f58b1a000-7f9f58b1b000 ---p 00000000 00:00 0 

7f9f58b1b000-7f9f5961c000 rw-p 00000000 00:00 0 
7f9f5961c000-7f9f5962a000 r-xp 00000000 08:03 1311314                    /usr/lib/python2.7/lib-dynload/pyexpat.so

7f9f5962a000-7f9f59829000 ---p 0000e000 08:03 1311314                    /usr/lib/python2.7/lib-dynload/pyexpat.so

7f9f59829000-7f9f5982a000 r--p 0000d000 08:03 1311314                    /usr/lib/python2.7/lib-dynload/pyexpat.so

7f9f5982a000-7f9f5982c000 rw-p 0000e000 08:03 1311314                    /usr/lib/python2.7/lib-dynload/pyexpat.so

7f9f5982c000-7f9f5983a000 r-xp 00000000 08:03 1313029                    /usr/lib/python2.7/dist-packages/mx/DateTime/mxDateTime/mxDateTime.so

7f9f5983a000-7f9f59a3a000 ---p 0000e000 08:03 1313029                    /usr/lib/python2.7/dist-packages/mx/DateTime/mxDateTime/mxDateTime.so

7f9f59a3a000-7f9f59a3b000 r--p 0000e000 08:03 1313029                    /usr/lib/python2.7/dist-packages/mx/DateTime/mxDateTime/mxDateTime.so

7f9f59a3b000-7f9f59a3c000 rw-p 0000f000 08:03 1313029                    /usr/lib/python2.7/dist-packages/mx/DateTime/mxDateTime/mxDateTime.so

7f9f59a3c000-7f9f59a66000 r-xp 00000000 08:03 1310838                    /usr/lib/python2.7/dist-packages/psycopg2/_psycopg.so

7f9f59a66000-7f9f59c65000 ---p 0002a000 08:03 1310838                    /usr/lib/python2.7/dist-packages/psycopg2/_psycopg.so

7f9f59c65000-7f9f59c66000 r--p 00029000 08:03 1310838                    /usr/lib/python2.7/dist-packages/psycopg2/_psycopg.so

7f9f59c66000-7f9f59c6c000 rw-p 0002a000 08:03 1310838                    /usr/lib/python2.7/dist-packages/psycopg2/_psycopg.so

7f9f59c6c000-7f9f59cae000 r-xp 00000000 08:03 1315000                    /usr/lib/python2.7/dist-packages/numpy/random/mtrand.so

7f9f59cae000-7f9f59ead000 ---p 00042000 08:03 1315000                    /usr/lib/python2.7/dist-packages/numpy/random/mtrand.so

7f9f59ead000-7f9f59eae000 r--p 00041000 08:03 1315000                    /usr/lib/python2.7/dist-packages/numpy/random/mtrand.so

7f9f59eae000-7f9f59ee3000 rw-p 00042000 08:03 1315000                    /usr/lib/python2.7/dist-packages/numpy/random/mtrand.so

7f9f59ee3000-7f9f59eec000 r-xp 00000000 08:03 1314986                    /usr/lib/python2.7/dist-packages/numpy/fft/fftpack_lite.so

7f9f59eec000-7f9f5a0eb000 ---p 00009000 08:03 1314986                    /usr/lib/python2.7/dist-packages/numpy/fft/fftpack_lite.so

7f9f5a0eb000-7f9f5a0ec000 r--p 00008000 08:03 1314986                    /usr/lib/python2.7/dist-packages/numpy/fft/fftpack_lite.so

7f9f5a0ec000-7f9f5a0ed000 rw-p 00009000 08:03 1314986                    /usr/lib/python2.7/dist-packages/numpy/fft/fftpack_lite.so

7f9f5a0ed000-7f9f5a0f2000 r-xp 00000000 08:03 1314993                    /usr/lib/python2.7/dist-packages/numpy/linalg/lapack_lite.so

7f9f5a0f2000-7f9f5a2f2000 ---p 00005000 08:03 1314993                    /usr/lib/python2.7/dist-packages/numpy/linalg/lapack_lite.so

7f9f5a2f2000-7f9f5a2f3000 r--p 00005000 08:03 1314993                    /usr/lib/python2.7/dist-packages/numpy/linalg/lapack_lite.so

7f9f5a2f3000-7f9f5a2f4000 rw-p 00006000 08:03 1314993                    /usr/lib/python2.7/dist-packages/numpy/linalg/lapack_lite.so

7f9f5a2f4000-7f9f5a2fa000 r-xp 00000000 08:03 1314989                    /usr/lib/python2.7/dist-packages/numpy/lib/_compiled_base.so

7f9f5a2fa000-7f9f5a4f9000 ---p 00006000 08:03 1314989                    /usr/lib/python2.7/dist-packages/numpy/lib/_compiled_base.so

7f9f5a4f9000-7f9f5a4fa000 r--p 00005000 08:03 1314989                    /usr/lib/python2.7/dist-packages/numpy/lib/_compiled_base.so

7f9f5a4fa000-7f9f5a4fb000 rw-p 00006000 08:03 1314989                    /usr/lib/python2.7/dist-packages/numpy/lib/_compiled_base.so

7f9f5a4fb000-7f9f5a525000 r-xp 00000000 08:03 1311977                    /usr/lib/python2.7/dist-packages/numpy/core/scalarmath.soAborted

#11 - 2013-04-30 11:31 AM - Victor Olaya

- Status changed from Open to Feedback

I am not able to reproduce the error... at least in windows

#12 - 2013-04-30 01:23 PM - Filipe Dias

I'm on Linux Ubuntu.

#13 - 2013-06-02 02:13 AM - Filipe Dias

Still valid in Linux. Can anyone test on Windows?

#14 - 2013-06-02 03:16 PM - stefano campus

nothing happens in windows.

i made the correction from out1 to out2, saved, closed. 

all is ok
#15 - 2013-06-02 03:32 PM - Filipe Dias

Did you double click on the parameter? Otherwise it doesnt crash.

#16 - 2013-06-03 01:16 AM - stefano campus

yes i did so: nothing bad happens!

#17 - 2013-06-03 02:33 AM - stefano campus

both in win7 and winxp

#18 - 2013-06-16 08:55 PM - Samuel Fernando Mesa Giraldo

In Arch Linux I get the same error as:

Warning: QLayout: Attempting to add QLayout "" to ModelerParameterDefinitionDialog "", which already has a layout

    -  Error in `qgis': malloc(): smallbin double linked list corrupted: 0x0000000006609d50 ***

Sextante Modeler crashes QGIS and I must to kill the process.

#19 - 2013-07-11 06:15 AM - Filipe Dias

With "teste.model" it takes a while to get it to crash. The first 5 or 6 double clicks work fine, but eventually qgis crashes as described above.

#20 - 2013-10-13 06:12 AM - Giovanni Manghi

- Status changed from Feedback to Closed

This seems fixed at least on qgis master, please reopen if nececssary.

#21 - 2013-10-15 01:29 AM - Filipe Dias

- Status changed from Closed to Reopened

- Priority changed from Normal to High

I just tried with the latest code and I still get this error. The only difference is that it QGIS freezes instead of crashing.

Go to the toolbox -> Modeler-> Edit (a local model)-> double click on an algorithm (not a parameter) -> Alter something, for example the name of the output

file-> do this a few times. Eventually it crashes, usually at the 5th attempt or sooner.

On the command line, this showed up after the first double click.

    -  glibc detected * /usr/bin/qgis.bin: corrupted double-linked list: 0x00000000055ab120 *

Although there is a workaround (right click-> Edit) it feels natural to a user to double click on an algorithm, so I'm raising the priority.

2024-03-20 10/12



#22 - 2014-02-26 01:30 AM - Filipe Dias

- Priority changed from High to Severe/Regression

#23 - 2014-06-09 05:56 AM - Giovanni Manghi

- Priority changed from Severe/Regression to High

I'm changing this to non-blocker for different reasons:

a blocker means a regression, this should not be the case, and then processing can be always updated as plugin update, so I don't think that even a huge

issue should block a qgis release.

#24 - 2014-10-03 01:04 PM - David J. Bakeman

I can confirm that this happens on my machine too.  Linux Fedora core 18 with a private build of the latest trunk.  Thanks Filipe for the work around all of

the crashes while trying to edit my model were driving me crazy!

Here is the crash output just the first line:

    -  glibc detected * /home/dbakeman/apps/bin/qgis: malloc(): smallbin double linked list corrupted: 0x0000000002945890 *

I also agree that the user will expect to double click to edit but until this is fixed could that be disabled?

#25 - 2014-10-04 12:16 PM - Giovanni Manghi

- Affected QGIS version set to 2.4.0

- Project changed from 78 to QGIS Application

- Category deleted (64)

- Crashes QGIS or corrupts data set to No

#26 - 2014-10-04 12:17 PM - Giovanni Manghi

- Category set to Processing/Modeller

#27 - 2014-10-04 12:18 PM - Giovanni Manghi

- Assignee set to Victor Olaya

#28 - 2014-10-05 01:25 AM - Filipe Dias

Still true in today's QGIS Master. I'm copying bellow the last part of the backtrace.This bug has been around for two years and still ranks #1 on "Bugs that

if solved would increase my quality of life".

Warning: void DBusMenuExporterPrivate::addAction(QAction*, int): Already tracking action "Toolbox" under id 294 

processing.modeler.ModelerAlgorithm.ModelerParameter

processing.modeler.ModelerAlgorithm.ModelerParameter

processing.modeler.ModelerAlgorithm.Algorithm

processing.modeler.ModelerAlgorithm.ModelerOutput

INPUT

VECTORLAYER_BIRDS

[<processing.modeler.ModelerAlgorithm.ValueFromInput instance at 0x7f430d773368>, <processing.modeler.ModelerAlgorithm.ValueFromInput instance

at 0x7f430d773290>]

INPUT2

VECTORLAYER_HERDADE
[<processing.modeler.ModelerAlgorithm.ValueFromInput instance at 0x7f430d7731b8>, <processing.modeler.ModelerAlgorithm.ValueFromInput instance

at 0x7f430d773440>]

/usr/share/qgis/python/plugins/processing/algs/qgis/help/intersection.rst

processing.modeler.ModelerAlgorithm.ModelerParameter

processing.modeler.ModelerAlgorithm.ModelerParameter

processing.modeler.ModelerAlgorithm.Algorithm

processing.modeler.ModelerAlgorithm.ModelerOutput

QGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted (core dumped)

#29 - 2014-10-20 12:34 AM - Filipe Dias

- Status changed from Reopened to Closed

Double clicking has been disabled

Files

HCVFCarbono.model 1.47 KB 2012-11-29 Filipe Dias

teste.model 518 Bytes 2013-04-30 Filipe Dias
